Last Comment Bug 96162 - "In PKCS11SecureRandom constructor" println
: "In PKCS11SecureRandom constructor" println
Status: RESOLVED FIXED
:
Product: JSS
Classification: Components
Component: Library (show other bugs)
: 3.1
: All All
: -- trivial (vote)
: 3.1.1
Assigned To: Jamie Nicolson
: somni
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-20 19:00 PDT by Jamie Nicolson
Modified: 2001-09-21 11:58 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Jamie Nicolson 2001-08-20 19:00:51 PDT
There is a trace statement printed to stdout in the PKCS11SecureRandom constructor.
Comment 1 Jamie Nicolson 2001-08-21 15:07:36 PDT
This is only a problem in one place. Michelle can workaround as follows:

Instead of calling:

SecureRandom rng = SecureRandom.getInstance("pkcs11prng");

call:

JSSSecureRandom rng = CryptoManager.getSecureRNG();

JSSSecureRandom supports the nextByte() method, just like SecureRandom.
Comment 2 Jamie Nicolson 2001-09-17 14:11:59 PDT
This is already fixed on the trunk, but it should be fixed for 3.1.1 as well.
Comment 3 Jamie Nicolson 2001-09-21 11:58:36 PDT
Fixed on JSS_3_1_BRANCH.

/cvsroot/mozilla/security/jss/org/mozilla/jss/provider/PKCS11SecureRandom.java,v
 <--  PKCS11SecureRandom.java
new revision: 1.2.2.1; previous revision: 1.2

Note You need to log in before you can comment on or make changes to this bug.